Subject: RE: [Enum] ENUM Privacy Consensus, RFC 3824 and ENUM deployment

From: "Fullbrook Kim (UK)" <[email-masked]>
Date: Tue, 10 Aug 2004 11:23:21 -0400

James,

I don't believe I've said anything about enforcing what usernames people wish to use and would be very grateful if you can point out where this is described.

Thanks,
Kim.

-----Original Message-----
From: James Seng [mailto:jseng at pobox.org.sg] 
Sent: 10 August 2004 15:55
To: Fullbrook Kim (UK)
Cc: 'enum at ietf.org'
Subject: Re: [Enum] ENUM Privacy Consensus, RFC 3824 and ENUM deployment

i find it ridiclous that you think you can enforced how people wants to 
assign username on their own sip boxes.

this is like saying 'you cannot have email address with your name in 
their' and publish it as an rfc.

james

Fullbrook Kim (UK) wrote:

> Although the debate about ENUM privacy issues has subsided, having read 
> the new RFC 3824 I feel that it's worth summarising the key points of 
> the privacy discussion and the implications for the RFC, as well as 
> making some general suggestions for ENUM deployment.
> 
> This is my understanding of the summary of the privacy debate: 
> 
> <summary>
> With the privacy concerns about personal information put in a publicly 
> accessible DNS, particularly with the "opt in" privacy policies in some 
> countries, we would not expect SIP URIs of the format 
> johndoe at bigtelco.com in the DNS to be available for all subscribers 
> globally.  However, if John Doe's E.164 number is 1234567890 you could 
> put the SIP URI  sip:1234567890 at bigtelco.com in the public DNS because 
> this doesn't cause any privacy difficulties while also providing a 
> necessary link in the call routing chain.  If there was no SIP URI 
> record for a particular E.164 number in the DNS you couldn't route SIP 
> calls which are addressed via E.164 number and the service would break 
> unless some other routing solution was provided. In "opt in" countries 
> John Doe could "opt in" to include his SIP URI in the DNS or in certain 
> countries everyone would automatically be added unless they "opted 
> out&
quot;.  There is no need to have separate "user" and "operator" ENUM 
> infrastructures for resolving E.164 numbers into a SIP URI: everything 
> as described above can go in the public "user" DNS because the privacy 
> concerns are gone. (You might need operator ENUM for something else but 
> that's not the topic for debate here). 
> 
> </summary>
> 
> Section 8 of RFC 3824 acknowledges security concerns over SIP URIs in 
> the DNS but only suggests using a SIP URI like 
> anonymous00045 at example.com  for those concerned about privacy.  I'd 
> suggest that this section of the RFC should reflect the outcome of our 
> privacy debate and include the principles summarised in this note, or 
> whatever we agree if my words and suggestions aren't right.
> 
> An implication of the summary above is that the "lowest common 
> denominator" for SIP URI would be the numeric format  e.g. 
> sip:1234567 at domain.com  if we choose to recommend it. With this in mind, 
> let's test the suggestion by moving forward a few years into a future 
> where SIP-based telephony is more widespread, including 3GPP-based IMS 
> systems and where DNS provisioning issues are important.  Take the 
> example of a SIP user who wishes to make a call to another SIP customer 
> using their E.164 number.  If the called customer has "opted in" to ENUM 
> and a SIP URI exists such as sip:johndoe at siptelco.com  this will work in 
> the normal way. If they are not "opted in", then provided the DNS 
> datafill has been done in line with the "lowest common denominator" 
> format, a numeric SIP URI exists in the ENUM DNS e.g. 
> sip:987654321 at siptelco.com so the ENUM lookup will succeed and the call 
> routes via siptelco.com    
> 
> This works fine but what about the implications for DNS provisioning ?  
> If we said that all customers (SIP and non-SIP) have an entry in the 
> ENUM DNS using the numeric SIP URI format we would need to build a huge 
> DNS table containing entries like:
> 
> 4412345678  ->   sip:4412345678 at owning-operator.com
> 
> Although there would be a huge number of DNS entries, an individual 
> entry would only need to change if the number was ported to a different 
<FONT
 SIZE=2>> operator
> 
> e.g. sip:987654321@ owning-operator.com  changed to  
> sip:987654321 at alternatesipco.com
> 
> Having an individual DNS record for each phone number is simple 
> conceptually but involves creating a huge number of records which look 
> something like this:
> 
> e.g.  8.7.6.5.4.3.2>.1.4.4.e164.arpa  ->  
> !^.*$!sip:4412345678 at big-uk-telco.co.uk
> 
> However, if it is possible to do full wildcarding in DNS in conjunction 
> with a rewrite rule this could be fairly easy to set up.  The idea is 
> that a single line for a whole dial code range combined with a clever 
> rewrite rule could rewrite any matching E.164 number in that range to a 
> suitable SIP URI:
> 
> *.8.0.2.4.4.e164.arpa  ->   sip: <reg exp> @uk-sip-telco.co.uk   
> So that, using letters to represent the generalised E.164 number  
> 44208abcdef
> f.e.d.c.b.a.8.0.2.4.4.e164.arpa ->  sip:44208abcdef at uk-sip-telco.co.uk
> 
> Having experimented with a test DNS the wildcarding part works fine: you 
> can have a general wildcarding rule for the whole number range pointing 
> to the "owning" operator together with specific entries to over-ride the 
> wild card where a particular E.164 number has been ported to a different 
> operator.  Unfortunately my skills in regular expressions are not good 
> enough to figure out whether you could create a rewrite rule to do 
> what's needed in the above example. Any "regular _expression_" experts out 
> there interested in this challenge ?
> 
> Summarising the suggestions.
> - All SIP customers have a "minimum" URI entry in the publicly visible 
> ENUM DNS with their E.164 number e.g. sip:5432112345 at bigsipco.com
> 
> - There shouldn't be any privacy concerns with the above
> - In "opt in" countries a SIP customer could add their SIP URI if they 
> wished  e.g. johndoe at bigsipco.com *- You could add non-SIP customers to 
> the DNS using the numeric SIP URI format, allowing SIP calls to them to 
> route to the right interconnect point (SIP to POTS interworking)*
> 
> *- DNS wildcarding in conjunction with a clever rewrite rule might allow 
<BR
>> easy creation of these numeric SIP URIs without needing to create 
> millions of individual DNS records*
> 
> *
> *
> 
> *Kim Fullbrook
> O2 UK *
> 
> *
> 
> 
> 
> *
> ------------------------------------------------------------------------
> 
> *========================================================
> This electronic message contains information from the mmO2 plc Group
> which may be privileged or confidential. The information is intended to
> be for the use of the individual(s) or entity named above. If you are not
> the intended recipient be aware that any disclosure, copying
> distribution or use of the contents of this information is prohibited. 
> If you
> have received this electronic message in error, please notify us
> by telephone or email (to the numbers or address above) immediately.
> ========================================================
> *
> 
> *
> *
> ------------------------------------------------------------------------
> *
> _______________________________________________
> enum mailing list
> enum at ietf.org
> https://www1.ietf.org/mailman/listinfo/enum
> *

========================================================This electronic message contains information from the mmO2 plc Group which may be privileged or confidential. The information is intended tobe for the use of the individual(s) or entity named above. If you are notthe intended recipient be aware that any disclosure, copyingdistribution or use of the contents of this information is prohibited. If youhave received this electronic message in error, please notify usby telephone or email (to the numbers or address above) immediately.========================================================
_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum

---

From: James Seng <[email-masked]>
Date: Tue, 10 Aug 2004 11:23:28 -0400

> ENUM DNS with their E.164 number e.g. sip:5432112345 at bigsipco.com
-James Seng
Fullbrook Kim (UK) wrote:
James,
I don't believe I've said anything about enforcing what usernames people 
wish to use and would be very grateful if you can point out where this 
is described.

Thanks,
Kim.
-----Original Message-----
From: James Seng [mailto:jseng at pobox.org.sg]
Sent: 10 August 2004 15:55
To: Fullbrook Kim (UK)
Cc: 'enum at ietf.org'
Subject: Re: [Enum] ENUM Privacy Consensus, RFC 3824 and ENUM deployment
Fullbrook Kim (UK) wrote:
 > making some general suggestions for ENUM deployment>.
 >
 > out& quot;.  There is no need to have separate "user" and "operator" 
ENUM
 > operator
 > what's needed in the above example. Any "regular expression" experts out

---

From: Robert Schafer <[email-masked]>
Date: Tue, 10 Aug 2004 12:02:15 -0400

James:
Possibly you could clarify what you meant by "...their own sip boxes"?  
Are you referring to the DNS or something else?

Thanks...Robert
-James Seng
Fullbrook Kim (UK) wrote:
James,
I don't believe I've said anything about enforcing what usernames 
people wish to use and would be very grateful if you can point out 
where this is described.

Thanks,
Kim.
-----Original Message-----
From: James Seng [mailto:jseng at pobox.org.sg]
Sent: 10 August 2004 15:55
To: Fullbrook Kim (UK)
Cc: 'enum at ietf.org'
Subject: Re: [Enum] ENUM Privacy Consensus, RFC 3824 and ENUM deployment
Fullbrook Kim (UK) wrote:
 > out& quot;.  There is no need to have separate "user" and 
"operator" ENUM
 > routes via siptelco.com    >
 > This works fine but what about the implications for DNS 
provisioning ?  > If we said that all customers (SIP and non-SIP) 
have an entry in the
 > e.g. sip:987654321@ owning-operator.com  changed to  > 
 > e.g.  8.7.6.5.4.3.2>.1.4.4.e164.arpa  ->  > 
 > *.8.0.2.4.4.e164.arpa  ->   sip: <reg exp> @uk-sip-telco.co.uk   > 
So that, using letters to represent the generalised E.164 number  > 
44208abcdef

------------------------------------------------------------------------
========================================================
This electronic message contains information from the mmO2 plc Group
which may be privileged or confidential. The information is intended to
be for the use of the individual(s) or entity named above. If you are 
not
the intended recipient be aware that any disclosure, copying
distribution or use of the contents of this information is 
prohibited. If you
have received this electronic message in error, please notify us
by telephone or email (to the numbers or address above) immediately.
========================================================